package com.ruoyi.project.production.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.controller.vo.SaiApplyQueryVO;
import com.ruoyi.project.production.domain.TSaiApply;

/**
 * SAI开项管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-03-15
 */
public interface TSaiApplyMapper 
{
    public List<TSaiApply> selectTeamAnalysis();

    public List<TSaiApply> selectPersonalAnalysis();

    /**
     * 查询SAI开项管理
     * 
     * @param saiApplyId SAI开项管理ID
     * @return SAI开项管理
     */
    public TSaiApply selectTSaiApplyById(Long saiApplyId);

    /**
     * 查询SAI开项管理列表
     * 
     * @param tSaiApply SAI开项管理
     * @return SAI开项管理集合
     */
    public List<TSaiApply> selectTSaiApplyList(SaiApplyQueryVO tSaiApply);

    /**
     * 新增SAI开项管理
     * 
     * @param tSaiApply SAI开项管理
     * @return 结果
     */
    public int insertTSaiApply(TSaiApply tSaiApply);

    /**
     * 修改SAI开项管理
     * 
     * @param tSaiApply SAI开项管理
     * @return 结果
     */
    public int updateTSaiApply(TSaiApply tSaiApply);

    /**
     * 删除SAI开项管理
     * 
     * @param saiApplyId SAI开项管理ID
     * @return 结果
     */
    public int deleteTSaiApplyById(Long saiApplyId);

    /**
     * 批量删除SAI开项管理
     * 
     * @param saiApplyIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSaiApplyByIds(Long[] saiApplyIds);
}
